# Package serial

Class Summary
Class | Description
--- | ---
Log | Log replacement for `android.util.Log`.
PortInfo | Created by chzhong on 1/20/16.
Serial | Serial Port.
Serial.Builder | Builder for `Serial`.
Timeout | Structure for setting the timeout of the serial port, times are in milliseconds.

Enum Summary
Enum | Description
--- | ---
ByteSize | Enumeration defines the possible bytesizes for the serial port.
FlowControl | Enumeration defines the possible flowcontrol types for the serial port.
Parity | Enumeration defines the possible parity types for the serial port.
Stopbits | Enumeration defines the possible stopbit types for the serial port.

Exception Summary
Exception | Description
--- | ---
PortNotOpenedException | Created by chzhong on 1/20/16.
SerialException | Created by chzhong on 1/20/16.
SerialIOException | Created by chzhong on 1/20/16.